[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'video' (#rtl)

# LockScreenUpdate

Prevent further screen updates.

## Declaration

Source position: videoh.inc line 115

`procedure LockScreenUpdate;`

## Description

LockScreenUpdate increments the screen update lock count with one. As long as the screen update lock count is not zero, UpdateScreen will not actually update the screen.

This function can be used to optimize screen updating: If a lot of writing on the screen needs to be done (by possibly unknown functions), calling LockScreenUpdate before the drawing, and UnlockScreenUpdate after the drawing, followed by a UpdateScreen call, all writing will be shown on screen at once.

For an example, see GetLockScreenCount.

## Errors

None.

## See also

UpdateScreen |  | Update physical screen with internal screen image.
UnlockScreenUpdate |  | Unlock screen update.
GetLockScreenCount |  | Get the screen lock update count.